Skip to main content
POST
Get drivers

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider the vehicles belong to

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the vehicles belong to

Required string length: 3
vehicleId
string
required

The id of the vehicle

Body

application/json

The request body contains the pagination information for the retrieval of the drivers

Request what page is wanted to be retrieved

pageSize
integer
default:100
required
Required range: 1 <= x <= 100
page
integer
default:0
required
Required range: x >= 0

Response

The complete paginated driver list

items
object[]
required
pagination
object
required